summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/xgettext-java-5
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-java-5')
-rwxr-xr-xgettext-tools/tests/xgettext-java-556
1 files changed, 56 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-java-5 b/gettext-tools/tests/xgettext-java-5
new file mode 100755
index 0000000..882b0e1
--- /dev/null
+++ b/gettext-tools/tests/xgettext-java-5
@@ -0,0 +1,56 @@
+#!/bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test Java support: --add-comments option.
+
+cat <<EOF > xg-j-5.java
+// This comment will not be extracted.
+System.out.println(gettext("help"));
+// TRANSLATORS: This is an extracted comment.
+System.out.println(gettext("me"));
+/* Not extracted either. */
+System.out.println(gettext("Hey Jude"));
+/* TRANSLATORS:
+ Nickname of the Beatles
+*/
+System.out.println(gettext("The Fabulous Four"));
+/* TRANSLATORS: The strings get concatenated. */
+System.out.println(gettext("there is not enough" +
+" room on a single line for this entire long, " // confusing, eh?
++ "verbose string"));
+EOF
+
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --omit-header --no-location --add-comments=TRANSLATORS: \
+ -d xg-j-5.tmp xg-j-5.java || exit 1
+LC_ALL=C tr -d '\r' < xg-j-5.tmp.po > xg-j-5.po || exit 1
+
+cat <<EOF > xg-j-5.ok
+msgid "help"
+msgstr ""
+
+#. TRANSLATORS: This is an extracted comment.
+msgid "me"
+msgstr ""
+
+msgid "Hey Jude"
+msgstr ""
+
+#. TRANSLATORS:
+#. Nickname of the Beatles
+#.
+msgid "The Fabulous Four"
+msgstr ""
+
+#. TRANSLATORS: The strings get concatenated.
+msgid ""
+"there is not enough room on a single line for this entire long, verbose "
+"string"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-j-5.ok xg-j-5.po
+result=$?
+
+exit $result